//
// zedit - simple text editor
// Copyright (C) 2004 Bryan Beicker <tokiko@tokiko.net>
//
// This file is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License (Version 2)
// as published by the Free Software Foundation.
//
// This file is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#include <gtk/gtk.h>		// gtk
#include "main.h"
#include "zedit.xpm"


GtkWidget * about_create()
{
	GtkWidget * window;
	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(window), "about");
	gtk_window_set_resizable(GTK_WINDOW(window), FALSE);
	gtk_window_set_type_hint(GTK_WINDOW(window), GDK_WINDOW_TYPE_HINT_DIALOG);
	gtk_window_set_modal(GTK_WINDOW(window), TRUE);
	
	GdkPixbuf * pixbuf;
	pixbuf = gdk_pixbuf_new_from_xpm_data((const char **) zedit_xpm);
	gtk_window_set_icon(GTK_WINDOW(window), pixbuf);
	
	GtkWidget * table;
	table = gtk_table_new(4, 1, FALSE);
	gtk_widget_show(table);
	gtk_container_add(GTK_CONTAINER(window), table);
	gtk_container_set_border_width(GTK_CONTAINER(table), 12);

	GtkWidget * icon;
	icon = gtk_image_new_from_pixbuf(pixbuf);
	gdk_pixbuf_unref(pixbuf);
	gtk_widget_show(icon);
	gtk_table_attach(GTK_TABLE(table), icon, 0, 1, 0, 1, (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
	
	version = gtk_label_new(NULL);
	gtk_widget_show(version);
	gtk_table_attach(GTK_TABLE(table), version, 0, 1, 1, 2, (GtkAttachOptions) (GTK_FILL), (GtkAttachOptions) (0), 0, 0);
	
	GtkWidget * description;
	description = gtk_label_new("simple text editor");
	gtk_widget_show(description);
	gtk_table_attach(GTK_TABLE(table), description, 0, 1, 2, 3, (GtkAttachOptions) (GTK_FILL), (GtkAttachOptions) (0), 0, 0);
	
	GtkWidget * copyright;
	copyright = gtk_label_new("Copyright (C) 2004 Bryan Beicker");
	gtk_widget_show(copyright);
	gtk_table_attach(GTK_TABLE(table), copyright, 0, 1, 3, 4, (GtkAttachOptions) (GTK_FILL), (GtkAttachOptions) (0), 0, 0);
	
	g_signal_connect((gpointer) window, "delete_event", G_CALLBACK(about_unload), NULL);
	g_signal_connect((gpointer) window, "destroy", G_CALLBACK(about_destroy), NULL);
	about_load();

	return window;
}
